Bug 1522833 - high memory usage by glusterd on executing gluster volume set operations [NEEDINFO]
Summary: high memory usage by glusterd on executing gluster volume set operations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: 1503138 1526363 1527551
TreeView+ depends on / blocked
 
Reported: 2017-12-06 14:32 UTC by Raghavendra Bhat
Modified: 2018-09-04 06:42 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1526363 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:40:20 UTC
amukherj: needinfo? (rabhat)
amukherj: needinfo? (moagrawa)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:42:11 UTC
Red Hat Bugzilla 1512470 None None None 2019-07-16 13:13:33 UTC
Red Hat Bugzilla 1512789 None None None 2019-07-16 13:13:33 UTC

Internal Links: 1512470 1512789

Comment 13 Bala Konda Reddy M 2018-04-19 11:32:19 UTC
Build : 3.12.2-7

On brick mux enabled setup. Created 100 volumes of volume type replicate(2X3) and checked the glusterd memory,73 MB.

Set the following volume option for all the volumes in a loop. 

for i in {1..100};do gluster v set 2cross3_$i cluster.self-heal-daemon off;sleep 3 ;gluster v set 2cross3_$i group metadata-cache;sleep 3;gluster v set 2cross3_$i cluster.lookup-optimize on;sleep 3 ;done

After setting the volume options, glusterd memory increased by 14 MB, 87MB.

As there isn't any drastic increase in memory while setting volume set operations.

Hence marking it as verified

Comment 15 errata-xmlrpc 2018-09-04 06:40:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.